رفتن به محتوا

AMT Interpolation

یکپارچه‌سازی

شناسه مدل amt-interpolation
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/amt-interpolation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

تا ⁨‎$۲٫۰۷⁩ برای هر اجرا بر اساس مصرف واقعی هزینه دریافت می‌شود و مابقی بازپرداخت می‌شود اجرای آن در این صفحه

دریافت کلید API
Open model ویدیو به ویدیو #interpolation#editing

با درون‌یابی فریم‌های میانی جدید، روانی ویدیوی ورودی را افزایش می‌دهد

Open model · ویدیو

اولین نتیجه شما اینجا قرار می‌گیرد

درخواست را در زیر بسازید و با کلید API خود اجرا کنید. خروجی‌ها در فضای ذخیره‌سازی ما کپی می‌شوند و برای همیشه یا به‌مدت ۷ روز رایگان نگه‌داری می‌شوند.

ساخت درخواست

کنترل‌ها از شِمای مدل تولید می‌شوند. با تغییر آن‌ها، کد و قیمت به‌روزرسانی می‌شوند.

•الزامی video_url
یک فایل بیندازید، یا

نشانی اینترنتی ویدیویی که ورودی پردازش را مشخص می‌کند.

پیشرفته output_fps · recursive_interpolation_passes
پیش‌فرض 24

نرخ فریم خروجی، برحسب فریم در ثانیه.

پیش‌فرض 2

تعداد گذرهای بازگشتی استفاده‌شده برای درون‌یابی.

POST /run/amt-interpolation?wait=20 قیمت → ⁨‎$۲٫۰۷⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/amt-interpolation?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

اجرای این درخواست

کلید شما در این مرورگر باقی می‌ماند: فقط به Doitong API ارسال می‌شود و فقط در صورت فعال‌کردن گزینه «یادآوری»، در localStorage ذخیره می‌شود. دریافت کلید API

درباره AMT Interpolation

ویدیو را از `video_url` پردازش می‌کند و بین فریم‌های موجود، فریم‌های تولیدشده درج می‌کند. `output_fps` نرخ فریم نتیجه را تعیین می‌کند؛ مقدار پیش‌فرض 24 است و `recursive_interpolation_passes` تعداد دفعات اعمال درون‌یابی را مشخص می‌کند که مقدار پیش‌فرض آن 2 است. یک ویدیو برمی‌گرداند.

پارامترها

نام استاندارد یا نام بومی را ارسال کنید، نه هر دو. نام‌های استاندارد

نامنوع پیش‌فرضمجاز توضیحات
video_urlالزامی video
نوعurl · video
نشانی اینترنتی ویدیویی که ورودی پردازش را مشخص می‌کند.
output_fpsاختیاری
نوعinteger
پیش‌فرض24
نرخ فریم خروجی، برحسب فریم در ثانیه.
recursive_interpolation_passesاختیاری
نوعinteger
پیش‌فرض2
تعداد گذرهای بازگشتی استفاده‌شده برای درون‌یابی.
الزامی نام استاندارد، همچنین پذیرفته می‌شود

پارامترهای فایل یک URL عمومی https://، یک URI از نوع data: تا سقف 10 MB، یا file_url یک فایل بارگذاری‌شده را می‌پذیرند. فایل‌ها

خروجی

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "amt-interpolation",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2070,
    "usd": "2.07",
    "charged": 2070,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
فایل‌های شما، انتخاب شماهر outputs[].url کپی‌ای در فضای ذخیره‌سازی ماست: برای همیشه (با هزینه به‌ازای هر GB-ماه) یا به‌مدت ۷ روز رایگان، بر اساس تنظیم حساب شما یا ?storage=.
ساختار یکسان در همه مدل‌هاtype، url، content_type، width، height و duration برای تصاویر، ویدیو و صدا یکسان هستند. output شیء نتیجه اختصاصی مدل است.
فیلدهای خروجی
video
object {url, content_type, file_name, file_size}ویدیوی تولیدشده.

مدل‌های بیشتر: ویدیو به ویدیو

برای عامل‌های هوش مصنوعی: این صفحه به‌صورت Markdown در دسترس است https://doitong.com/fa/developers/models/amt-interpolation.md. همه مدل‌ها و راهنماها: https://doitong.com/developers/llms.txt